Skip to main content
POST
Get an estimate or firm quote
Obtain either an estimate or firm quote; estimates are for reference only, while a firm quote can be used to book a trade.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Query Parameters

quote_type
enum<string>
required

The quote type. A quote_type of quote returns a quote ID which a trade can be booked against

Available options:
estimate,
quote
client_id
string
required

The ID of the client this quote is for

Body

application/json

Request Payload

amount
number<double>
required

Amount

buy_currency
string
required

Buy currency

operation
enum<string>
required

Operation (buy or sell)

Available options:
buy,
sell
sell_currency
string
required

Sell currency

trade_type
enum<string>
required

The trade type

Available options:
spot,
forward
value_date
string<date>

Value date for the trade. If the value date is not valid then the quote will be returned for next available value date. If the value date is not provided, then the quote will be returned for the next available valid value date.

Response

Estimated rates response

inverse_rate
number<double>
required

The inverse rate

inverse_rate_symbol
string
required

The symbol of inverse rate

value_date
string<date>
required

Date on which quote is requested

book_trade
string<uri>

Call this endpoint to book the trade (refer to Trades documentation for required payload)

buy_amount
number<double>

Buy amount

buy_currency
string

Buy currency

quote_id
string

Quote identifier. Used to create book a trade at the Trades endpoint

quoted_rate
number<double>

The rate quoted

quoted_rate_symbol
string

The symbol of rate quoted

sell_amount
number<double>

Sell amount

sell_currency
string

Sell currency

estimated_rate
number<double>

The estimated rate

estimated_rate_symbol
string

The symbol of estimated rate

fee_amount
number<float>

Fee amount

fee_currency
string

Fee currency

warning
string

A warning is only returned if the requested value date was not valid and the next available date has been returned.